Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 489770 - >=net-fs/samba-4.0 automagically depends on sys-libs/pam (libpam.so)
Summary: >=net-fs/samba-4.0 automagically depends on sys-libs/pam (libpam.so)
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo's SAMBA Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: samba-4
  Show dependency tree
 
Reported: 2013-10-29 13:37 UTC by Lars Wendler (Polynomial-C)
Modified: 2016-03-29 15:09 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
New ebuild for 4.2.7 (samba-4.2.7.ebuild,5.01 KB, text/plain)
2016-01-05 22:23 UTC, Víctor Ostorga (RETIRED)
Details
Patch to fix automagic depend on pam (samba-4.2.7-pam.patch,1.31 KB, patch)
2016-01-05 22:24 UTC, Víctor Ostorga (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lars Wendler (Polynomial-C) gentoo-dev 2013-10-29 13:37:03 UTC
$summary

Although having several configure switches [--with(out)-pam, --with(out)-pam_smbpass, --with-pammodulesdir=PATH], samba always links to libpam.so when being found in the build system.

Most likely an upstream issue. I filed this bug merely to keep track of any progress and to reference the sys-libs/pam hard dependency I gonna add to our samba-4 ebuilds.
Comment 1 Chan Min Wai 2014-01-10 21:15:58 UTC
Can help to double check in the new git version?

found that pam disable was working.

But there are pam check from other module...
Not sure if this was by other module.
Comment 2 Chan Min Wai 2014-01-12 16:59:33 UTC
Sorry to ask but any advise on how can I verify that? 

If I can help.
Comment 3 the_mgt 2014-01-14 21:52:33 UTC
(In reply to Lars Wendler (Polynomial-C) from comment #0)
> $summary
> 
> Although having several configure switches [--with(out)-pam,
> --with(out)-pam_smbpass, --with-pammodulesdir=PATH], samba always links to
> libpam.so when being found in the build system.
> 
So does this imply that it does not link against PAM if not libpam.so is found?
I just compiled 4.1.4 on my server without libpam.so, after I removed every pam related stuff from the ebuild. Builds fine, runs fine. Why can't we leave it at the users discretion, wether he wants pam or not, as it was before?
Comment 4 the_mgt 2015-01-13 14:50:24 UTC
About one year later, nothing changed. Everytime I upgrade, I modify the ebuild and remove all the pam enforcement and it still builds and runs completely fine.

If no PAM is on the system, Samba4 still works. Even as ADS. I am using it this way since early alpha versions. Please remove the PAM nonsense.
Comment 5 Lars Wendler (Polynomial-C) gentoo-dev 2015-01-13 15:01:50 UTC
(In reply to the_mgt from comment #4)
> About one year later, nothing changed. Everytime I upgrade, I modify the
> ebuild and remove all the pam enforcement and it still builds and runs
> completely fine.
> 
> If no PAM is on the system, Samba4 still works. Even as ADS. I am using it
> this way since early alpha versions. Please remove the PAM nonsense.

Please read http://wiki.gentoo.org/wiki/Project:Quality_Assurance/Automagic_dependencies

This is not nonsense. Samba upstream having this kind of dependencies is nonsense.
Comment 6 Denis Kaganovich 2015-03-10 22:54:00 UTC
48974
Comment 7 Denis Kaganovich 2015-03-11 14:53:49 UTC
I don't want what is previous msg ;) - this is my bug, but as soon: trying to unswitch pam here: #542638
Comment 8 Víctor Ostorga (RETIRED) gentoo-dev 2016-01-05 22:23:28 UTC
Created attachment 422046 [details]
New ebuild for 4.2.7

Updated ebuild to fix automagic depend on pam
Comment 9 Víctor Ostorga (RETIRED) gentoo-dev 2016-01-05 22:24:09 UTC
Created attachment 422048 [details, diff]
Patch to fix automagic depend on pam

Patch to fix automagic depend on pam
Comment 10 Lars Wendler (Polynomial-C) gentoo-dev 2016-01-06 12:32:06 UTC
commit f9742b65fa670d936a7dbd459b4c685c95bb936b
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Wed Jan 6 13:30:08 2016

    net-fs/samba: Fixing automagic dependency on pam for samba-4.3.x (bug #489770)

    Package-Manager: portage-2.2.26
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 net-fs/samba/samba-4.2.7.ebuild |  8 +++++---
 net-fs/samba/samba-4.3.3.ebuild | 16 +++++-----------
 2 files changed, 10 insertions(+), 14 deletions(-)

commit f4742df3950c9b9c36a1f059be36833ce84d1aff
Author: Victor Ostorga <vostorga@gentoo.org>
Date:   Tue Jan 5 23:52:05 2016

    Fixing automagic dependency on pam, bug #489770

    Package-Manager: portage-2.2.24

 net-fs/samba/files/samba-4.2.7-pam.patch | 36 ++++++++++++++++++++++++++++++++++++
 net-fs/samba/samba-4.2.7.ebuild          | 16 ++++------------
 2 files changed, 40 insertions(+), 12 deletions(-)


Thanks to the tedious work of Victor ths can now be closed.
Comment 11 G.K.MacGregor 2016-03-29 14:49:52 UTC
samba-4.2.9 has hit stable. It appears this ebuild demands to pull in pam even if the pam USE flag is disabled.

Apparently the conditional "pam? ( virtual/pam )" of CDEPEND within the old samba-4.2.7 ebuild seems to have become a mandatory "virtual/pam" hard dependency in this samba-4.2.9 ebuild, despite the fact that samba-4.2.7-pam.patch is still being applied.

If the pam patch is still applied, is the hard "virtual/pam" dependency a mistake?
Comment 12 Lars Wendler (Polynomial-C) gentoo-dev 2016-03-29 15:09:21 UTC
(In reply to G.K.MacGregor from comment #11)
> samba-4.2.9 has hit stable. It appears this ebuild demands to pull in pam
> even if the pam USE flag is disabled.
> 
> Apparently the conditional "pam? ( virtual/pam )" of CDEPEND within the old
> samba-4.2.7 ebuild seems to have become a mandatory "virtual/pam" hard
> dependency in this samba-4.2.9 ebuild, despite the fact that
> samba-4.2.7-pam.patch is still being applied.
> 
> If the pam patch is still applied, is the hard "virtual/pam" dependency a
> mistake?

commit 2aaa4f0354b0394f301728a90fdf2c211ed8907a
Author: Lars Wendler <polynomial-c@gentoo.org>
Date:   Tue Mar 29 17:07:05 2016

    net-fs/samba: Make pam dependency optional again (bug #489770).
    
    Package-Manager: portage-2.2.28
    Signed-off-by: Lars Wendler <polynomial-c@gentoo.org>

 net-fs/samba/samba-4.2.9.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)


Thanks for the report.